Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 1132533003: Add option to automatically record stack trace in logging (fixes #2) (Closed)

Created:
5 years, 2 months ago by Siggi Cherem (dart-lang)
Modified:
5 years, 2 months ago
CC:
reviews_dartlang.org
Base URL:
https://github.com/dart-lang/logging@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Add option to automatically record stack trace in logging (fixes #2) R=jmesserly@google.com Committed: https://github.com/dart-lang/logging/commit/8a8a3d34f7d02e28919940ffc6a8e8e21b5023b0

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+69 lines, -4 lines) Patch
M CHANGELOG.md View 1 chunk +5 lines, -0 lines 0 comments Download
M lib/logging.dart View 2 chunks +13 lines, -3 lines 2 comments Download
M pubspec.yaml View 1 chunk +1 line, -1 line 0 comments Download
M test/logging_test.dart View 1 chunk +50 lines, -0 lines 0 comments Download

Messages

Total messages: 5 (1 generated)
Siggi Cherem (dart-lang)
to fix https://github.com/dart-lang/logging/issues/2
5 years, 2 months ago (2015-05-07 22:19:33 UTC) #2
Jennifer Messerly
lgtm https://codereview.chromium.org/1132533003/diff/1/lib/logging.dart File lib/logging.dart (right): https://codereview.chromium.org/1132533003/diff/1/lib/logging.dart#newcode160 lib/logging.dart:160: throw "log stack trace"; include message here? e.g. ...
5 years, 2 months ago (2015-05-07 22:32:19 UTC) #3
Siggi Cherem (dart-lang)
Committed patchset #1 (id:1) manually as 8a8a3d34f7d02e28919940ffc6a8e8e21b5023b0 (presubmit successful).
5 years, 2 months ago (2015-05-07 22:36:55 UTC) #4
Siggi Cherem (dart-lang)
5 years, 2 months ago (2015-05-08 00:31:03 UTC) #5
Message was sent while issue was closed.
https://codereview.chromium.org/1132533003/diff/1/lib/logging.dart
File lib/logging.dart (right):

https://codereview.chromium.org/1132533003/diff/1/lib/logging.dart#newcode160
lib/logging.dart:160: throw "log stack trace";
On 2015/05/07 22:32:19, John Messerly wrote:
> include message here? e.g.
> 
>     throw "log ${logLevel.name} $message"
> 
> that might make it more understandable in some tools?

Good point. Done.

Powered by Google App Engine
This is Rietveld 408576698